Subject: Re: [1.7.5] Let fetch and pull recurse into submodules when new commits are recorded

From: Jens Lehmann <[email-masked]>
Date: Mon, 21 Feb 2011 18:38:35 +0100

Am 21.02.2011 16:12, schrieb Marc Branchaud:
> On 11-02-19 11:40 AM, Jens Lehmann wrote:
>> Proposal:
>> Add a new "on-demand" mode to fetch and pull and make it the default.
>>
>> When using the new "on-demand" mode every time new commits are fetched
>> in the superproject they will be parsed for submodule commits. If these
>> commits aren't present in a populated submodule, run "git fetch" inside
>> that submodule. (Also see this thread for an in depth discussion:
>> http://article.gmane.org/gmane.comp.version-control.git/158979/ )
>>
>> Additionally change "git submodule update" to only then run fetch in a
>> submodule when the commit it wants to check out is not already present
>> there.
>>
>> This behavior can be configured per submodule, per repo and globally.
>>
>> Advantages:
>> * Disconnected operation. Right now it is really easy to forget to fetch
>>   all submodules before you get on a plane, possibly leaving you unable
>>   to check out certain revisions.
> 
> I support the proposal, but just to be clear I'd rephrase that advantage as:
> 
> Disconnected operation. Right now it is really easy to forget to update
> populated submodules before you get on a plane, possibly leaving you unable
> to check out certain revisions.
> 
> (Obviously, I think the only-works-on-already-populated-submodules part is
> very important.)

Thanks and yes, that is exactly what this proposal is about.